Bug 1952665 - [Multus] multi-networkpolicy pod continue restart due to OOM (out of memory)
Summary: [Multus] multi-networkpolicy pod continue restart due to OOM (out of memory)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Tomofumi Hayashi
QA Contact: Weibin Liang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-22 19:41 UTC by Weibin Liang
Modified: 2021-07-27 23:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:03:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 1072 0 None open Bug 1952665: Update multi-networkpolicy memory limits/requests 2021-04-27 01:00:53 UTC
Github openshift multus-networkpolicy pull 9 0 None open Bug 1952665: Fix some timing issue and change memory limit 2021-04-26 16:46:19 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:03:27 UTC

Description Weibin Liang 2021-04-22 19:41:14 UTC
Description of problem:
multi-networkpolicy pod continue restart due to OOM (out of memory)

Version-Release number of selected component (if applicable):
4.8.0-0.nightly-2021-04-15-030836

How reproducible:
Always

Steps to Reproduce:
[root@dell-per740-36 ~]# oc get pod -n openshift-multus
NAME                                READY   STATUS    RESTARTS   AGE
multus-admission-controller-8d95h   2/2     Running   0          7d9h
multus-admission-controller-crr6m   2/2     Running   0          7d9h
multus-admission-controller-m9nmf   2/2     Running   0          7d9h
multus-bqtm2                        1/1     Running   0          7d9h
multus-lvwcn                        1/1     Running   0          7d9h
multus-mjjsc                        1/1     Running   0          7d9h
multus-networkpolicy-6bl7b          1/1     Running   37         47h
multus-networkpolicy-7h6f8          1/1     Running   28         47h
multus-networkpolicy-fb67c          1/1     Running   41         47h
multus-networkpolicy-ff9g9          1/1     Running   12         24h
multus-networkpolicy-vc5mq          1/1     Running   38         47h
multus-p6rml                        1/1     Running   0          7d9h
multus-pw9cm                        1/1     Running   0          7d9h
network-metrics-daemon-7fcdb        2/2     Running   0          7d9h
network-metrics-daemon-9q4sx        2/2     Running   0          7d9h
network-metrics-daemon-cbzzb        2/2     Running   0          7d9h
network-metrics-daemon-fdq7c        2/2     Running   0          7d9h
network-metrics-daemon-t7q2q        2/2     Running   0          7d9h
[root@dell-per740-36 ~]# 

containerStatuses:
  - containerID: cri-o://d377674cf031b460bd4f7ff141ec0a986760d75f996e737a37629e7e3216ed17
    image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b104cc594f31970749e5d70cd5bf9d6126defdf03f602c83d79c497d2ff41b20
    imageID: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b104cc594f31970749e5d70cd5bf9d6126defdf03f602c83d79c497d2ff41b20
    lastState:
      terminated:
        containerID: cri-o://621f4df288209b38f7762eb55b0443efb1c431b3dc3679f3325f0654e496d5d2
        exitCode: 137
        finishedAt: "2021-04-22T19:14:30Z"
        reason: OOMKilled
        startedAt: "2021-04-22T17:27:08Z"
Actual results:
[root@dell-per740-36 ~]# oc get pod -n openshift-multus | grep networkpolicy
multus-networkpolicy-6bl7b          1/1     Running   37         47h
multus-networkpolicy-7h6f8          1/1     Running   28         47h
multus-networkpolicy-fb67c          1/1     Running   41         47h
multus-networkpolicy-ff9g9          1/1     Running   12         25h
multus-networkpolicy-vc5mq          1/1     Running   38         47h
[root@dell-per740-36 ~]# 


Expected results:
multus-networkpolicy pod should not continue to restart

Additional info:
Show this issue to Tomofumi Hayashi

Comment 3 Weibin Liang 2021-05-11 17:58:51 UTC
Tested and verified in 4.8.0-0.nightly-2021-05-11-082318

Comment 6 errata-xmlrpc 2021-07-27 23:03:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.